ClientFilterType (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.constants.types

## Enum ClientFilterType

- java.lang.Object
- - java.lang.Enum<ClientFilterType>
  - - org.gcube.application.aquamaps.aquamapsportlet.client.constants.types.ClientFilterType

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<ClientFilterType>

      public enum ClientFilterType
      extends Enum<ClientFilterType>
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `begins`
    `contains`
    `ends`
    `greater_then`
    `is`
    `smaller_then`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientFilterType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientFilterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### begins

          public static final ClientFilterType begins

    - #### contains

          public static final ClientFilterType contains

    - #### is

          public static final ClientFilterType is

    - #### ends

          public static final ClientFilterType ends

    - #### greater_then

          public static final ClientFilterType greater_then

    - #### smaller_then

          public static final ClientFilterType smaller_then

  - ### Method Detail

    - #### values

          public static ClientFilterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientFilterType c : ClientFilterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientFilterType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.